# Minimum OpenConnect version
%global openconnect_minver 8.0

Name:           globalprotect-openconnect
Version:        1.4.4
Release:        1%{?dist}
Summary:        GlobalProtect VPN client (GUI) for Linux, based on OpenConnect

License:        GPLv3+
URL:            https://github.com/yuezk/GlobalProtect-openconnect
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.10.0
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5WebEngine)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5WebSockets)
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(openconnect) >= %{openconnect_minver}
Requires:       openconnect >= %{openconnect_minver}

# Bundled forked things
## Fork of QtSingleApplication with IPC support
Provides:      bundled(SingleApplication) = 3.3.0
## Unknown versions
Provides:      bundled(inih)
Provides:      bundled(plog)
Provides:      bundled(qt-unix-signals)

%description
This is a GlobalProtect VPN client (GUI) for Linux based on OpenConnect
It is built with Qt5, supports SAML auth mode, and offers a comparable
experience to the official client while being entirely FOSS.


%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%preun
%systemd_preun gpservice.service


%post
%systemd_post gpservice.service


%postun
%systemd_postun_with_restart gpservice.service


%files
%license LICENSE
%doc README.md
%{_bindir}/gpclient
%{_bindir}/gpservice
%{_datadir}/applications/com.yuezk.qt.gpclient.desktop
%{_datadir}/dbus-1/system-services/com.yuezk.qt.GPService.service
%{_datadir}/dbus-1/system.d/com.yuezk.qt.GPService.conf
%{_datadir}/icons/hicolor/scalable/apps/com.yuezk.qt.gpclient.svg
%{_metainfodir}/com.yuezk.qt.gpclient.metainfo.xml
%{_unitdir}/gpservice.service
%dir %{_sysconfdir}/gpservice
%config(noreplace) %{_sysconfdir}/gpservice/gp.conf


%changelog
* Wed May 25 2022 Neal Gompa <ngompa@fedoraproject.org> - 1.4.4-1
- Initial package
